<?php 
session_start([
    'cookie_lifetime' => 2592000,
]);

if ($_GET["a"] == 'logout'){
    $_SESSION['loginstatus'] = '';
    header('Location: ./');
}

include 'config.php';
include 'functions.php';

require_once "sleekdb/SleekDB.php";

$databaseDirectory = __DIR__ . "/db";
$currentstore = new \SleekDB\Store("data", $databaseDirectory);

$passwordinput = trim(utf8_decode(strip_tags($_POST["password"])));
$usernameinput = trim(strip_tags($_POST["username"]));

if ($usernameinput){
if(in_array($usernameinput,$defaultusers)) {
    if ($passwordinput == $password) {
        $_SESSION['loginstatus'] = 'loggedin';
        $_SESSION['username'] = $usernameinput;
    } else {
        $passwordstatus = '<p class="mt-3" style="color: red;">Passwort ist falsch.</p>';
    }
} else {
    $userstatus = '<p class="mt-3" style="color: red;">Benutzer existiert nicht.</p>';
}
}

?>

<!doctype html>
<html lang="de">

<head>
    <title>Office Planner</title>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="robots" content="noindex, nofollow">
    <meta name="language" content="de">

    <link rel="icon" href="assets/favicons/favicon.ico" sizes="any">
    <link rel="icon" href="assets/favicons/icon.svg" type="image/svg+xml">
    <link rel="apple-touch-icon" href="assets/favicons/icon-180.png">

    <link rel="stylesheet" type="text/css" href="assets/css/font-awesome.min.css">
    <link rel="stylesheet" type="text/css" href="assets/css/bootstrap.min.css">
    <link rel="stylesheet" type="text/css" href="assets/css/styles.css">

    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="default">

</head>

<body>

    <div class="bodywrap">
        <div class="innerwrap">

            <?php 
            if ($_SESSION["loginstatus"] != 'loggedin'){ ?>
               
               <div class="section padding30">
                <div class="container">
                    <div class="row pt-5">
                        <div class="col-8 ">
                            <h1 class="mb-3">Office Planner</h1> 

                            <?php echo $userstatus; ?>
                            <?php echo $passwordstatus ?>
                            
                            <form action="" method="post">
                            <div class="form-group pb-3">
                            <input type="text" name="username" class="form-control mb-2" id="username" placeholder="Name" style="width:200px;">
                            <input type="password" name="password" class="form-control" id="password" placeholder="Passwort" style="width:200px;">
                            </div>
                            <input type="submit" class="btn btn-secondary" value="Log in">
                            </form>

                        </div>  
                    </div>
                </div>
            </div>
                    
                
            <?php } else { ?>


            <div class="section padding30">
                <div class="container">
                    <div class="row pt-3 pt-md-5">
                        <div class="col-8 ">
                            <h1 class="mb-0">Office Planner</h1> 
                        </div>

                        <div class="col-4 text-end">
                            <a href="#" class="btn_edit"><i class="fa fa-edit"></i></a>
                            <a href="./?a=logout" class="btn_logout ms-2"><i class="fa fa-sign-out"></i></a>
    
                            <a href="#" class="btn_edit_confirm" style="display:none"><i class="fa fa-check"></i></a>
                            <a href="#" class="btn_edit_exit ms-2" style="display:none"><i class="fa fa-times"></i></a>
                        </div>
                    </div>
                </div>
            </div>

            <!-- ****************** -->

            <?php 
            
            $todaymarker = '<i class="fa fa-check-circle" style="color:#20bf6b;"></i> ';
            
            if (date('w', strtotime( 'today' )) == '1'){ $todaymarker_mo = $todaymarker; };
            if (date('w', strtotime( 'today' )) == '2'){ $todaymarker_di = $todaymarker; };
            if (date('w', strtotime( 'today' )) == '3'){ $todaymarker_mi = $todaymarker; };
            if (date('w', strtotime( 'today' )) == '4'){ $todaymarker_do = $todaymarker; };
            if (date('w', strtotime( 'today' )) == '5'){ $todaymarker_fr = $todaymarker; };

            ?>

            <div class="section padding30" data-kw="<?php echo date("W o", strtotime( 'today' ) ); ?>">
                <div class="container">
                    <div class="row">

                        <div class="col-3"><div class="kw">KW <?php echo date("W", strtotime( 'today' ) ); ?></div></div>

                        <div class="col-9">
                            <div class="field date"><?php echo $todaymarker_mo;?><b>Mo</b> <?php echo date( 'd.m.', strtotime( 'monday this week' ) );?></div>
                            <div class="field date"><?php echo $todaymarker_di;?><b>Di</b> <?php echo date( 'd.m.', strtotime( 'tuesday this week' ) );?></div>
                            <div class="field date"><?php echo $todaymarker_mi;?><b>Mi</b> <?php echo date( 'd.m.', strtotime( 'wednesday this week' ) );?></div>
                            <div class="field date"><?php echo $todaymarker_do;?><b>Do</b> <?php echo date( 'd.m.', strtotime( 'thursday this week' ) );?></div>
                            <div class="field date"><?php echo $todaymarker_fr;?><b>Fr</b> <?php echo date( 'd.m.', strtotime( 'friday this week' ) );?></div>     
                        </div>

                    </div>

                    <?php

                    $data = $currentstore->findBy(["kw", "=", date("W o", strtotime( 'today' ))],["name" => "asc"]);

                    if (count($data) == 0){

                        foreach ($defaultusers as $username) {

                            generatenewkw(date("W o", strtotime('today')), $username, $currentstore);

                        //var_dump($data);

                        }

                        $data = $currentstore->findBy(["kw", "=", date("W o", strtotime( 'today' ))],["name" => "asc"]);
                    }

                    foreach ($data as $item) {

                    echo '

                    <div class="row" data-user="'.$item["name"].'">
                    <div class="col-3"><div class="label">'.$item["name"].'</div></div>

                    <div class="col-9">
                        <div class="field editable '.$item["days"]["mo"].'" data-status="'.$item["days"]["mo"].'"></div>
                        <div class="field editable '.$item["days"]["di"].'" data-status="'.$item["days"]["di"].'"></div>
                        <div class="field editable '.$item["days"]["mi"].'" data-status="'.$item["days"]["mi"].'"></div>
                        <div class="field editable '.$item["days"]["do"].'" data-status="'.$item["days"]["do"].'"></div>
                        <div class="field editable '.$item["days"]["fr"].'" data-status="'.$item["days"]["fr"].'"></div>
                    </div>
                    </div>
                    ';
                        }
                        
                    ?>
                </div>
            </div>

            <!-- -->

            <div class="section padding30" data-kw="<?php echo date("W o", strtotime( 'monday next week' ) ); ?>">
                <div class="container">
                    <div class="row">

                        <div class="col-3"><div class="kw">KW <?php echo date("W", strtotime( 'monday next week' ) ); ?></div></div>

                        <div class="col-9">
                            <div class="field date"><b>Mo</b> <?php echo date( 'd.m.', strtotime( 'monday next week' ) );?></div>
                            <div class="field date"><b>Di</b> <?php echo date( 'd.m.', strtotime( 'tuesday next week' ) );?></div>
                            <div class="field date"><b>Mi</b> <?php echo date( 'd.m.', strtotime( 'wednesday next week' ) );?>.</div>
                            <div class="field date"><b>Do</b> <?php echo date( 'd.m.', strtotime( 'thursday next week' ) );?></div>
                            <div class="field date"><b>Fr</b> <?php echo date( 'd.m.', strtotime( 'friday next week' ) );?></div>     
                        </div>

                    </div>
    
                    <?php

                    $data = $currentstore->findBy(["kw", "=", date("W o", strtotime( 'monday next week' ))],["name" => "asc"]);

                    if (count($data) == 0){

                        foreach ($defaultusers as $username) {

                            generatenewkw(date("W o", strtotime('monday next week')), $username, $currentstore);

                        //var_dump($data);

                        }

                        $data = $currentstore->findBy(["kw", "=", date("W o", strtotime( 'monday next week' ))],["name" => "asc"]);
                    }

                    foreach ($data as $item) {

                    echo '

                    <div class="row" data-user="'.$item["name"].'">
                    <div class="col-3"><div class="label">'.$item["name"].'</div></div>

                    <div class="col-9">
                        <div class="field editable '.$item["days"]["mo"].'" data-status="'.$item["days"]["mo"].'"></div>
                        <div class="field editable '.$item["days"]["di"].'" data-status="'.$item["days"]["di"].'"></div>
                        <div class="field editable '.$item["days"]["mi"].'" data-status="'.$item["days"]["mi"].'"></div>
                        <div class="field editable '.$item["days"]["do"].'" data-status="'.$item["days"]["do"].'"></div>
                        <div class="field editable '.$item["days"]["fr"].'" data-status="'.$item["days"]["fr"].'"></div>
                    </div>
                    </div>
                    ';
                        }
                        
                    ?>


                </div>
            </div>

            <!-- -->

            <div class="section padding30" data-kw="<?php echo date("W o", strtotime( 'monday next week +1 week' ) ); ?>">
                <div class="container">
                    <div class="row">

                        <div class="col-3"><div class="kw">KW <?php echo date("W", strtotime( 'monday next week +1 week' ) ); ?></div></div>

                        <div class="col-9">
                            <div class="field date"><b>Mo</b> <?php echo date( 'd.m.', strtotime( 'monday next week +1 week' ) );?></div>
                            <div class="field date"><b>Di</b> <?php echo date( 'd.m.', strtotime( 'tuesday next week +1 week' ) );?></div>
                            <div class="field date"><b>Mi</b> <?php echo date( 'd.m.', strtotime( 'wednesday next week +1 week' ) );?>.</div>
                            <div class="field date"><b>Do</b> <?php echo date( 'd.m.', strtotime( 'thursday next week +1 week' ) );?></div>
                            <div class="field date"><b>Fr</b> <?php echo date( 'd.m.', strtotime( 'friday next week +1 week' ) );?></div>     
                        </div>

                    </div>
    
                    <?php

                    $data = $currentstore->findBy(["kw", "=", date("W o", strtotime( 'monday next week +1 week' ))],["name" => "asc"]);

                    if (count($data) == 0){

                        foreach ($defaultusers as $username) {

                            generatenewkw(date("W o", strtotime('monday next week +1 week')), $username, $currentstore);

                        //var_dump($data);

                        }

                        $data = $currentstore->findBy(["kw", "=", date("W o", strtotime( 'monday next week +1 week' ))],["name" => "asc"]);
                    }

                    foreach ($data as $item) {

                    echo '

                    <div class="row" data-user="'.$item["name"].'">
                    <div class="col-3"><div class="label">'.$item["name"].'</div></div>

                    <div class="col-9">
                        <div class="field editable '.$item["days"]["mo"].'" data-status="'.$item["days"]["mo"].'"></div>
                        <div class="field editable '.$item["days"]["di"].'" data-status="'.$item["days"]["di"].'"></div>
                        <div class="field editable '.$item["days"]["mi"].'" data-status="'.$item["days"]["mi"].'"></div>
                        <div class="field editable '.$item["days"]["do"].'" data-status="'.$item["days"]["do"].'"></div>
                        <div class="field editable '.$item["days"]["fr"].'" data-status="'.$item["days"]["fr"].'"></div>
                    </div>
                    </div>
                    ';
                        }
                        
                    ?>

                </div>

                <div style="height:100px;"></div>

            </div>
        </div>
    </div>

    <script>
        var currentuser = '<?php echo $_SESSION['username']?>';
    </script>

    <script type="text/javascript" src="assets/js/jquery.js"></script>
    <script type="text/javascript" src="assets/js/bootstrap.min.js"></script>
    <script type="text/javascript" src="assets/js/functions.js"></script>

<?php }  ?>

</body>

</html>